%define name	qmmp-plugins
%define summary	Plugins for Qmmp

Name:		%{name}
Version:	1.5.2
Release:	%mkrel 1
Summary:	%{summary}
Summary(de): Erweiterungen für Qmmp
Source0:	qmmp-plugin-pack-%{version}.tar.xz
License:	GPLv2+
Group:		Sound
Url:		http://qmmp.ylsoftware.com/plugins.php
BuildRoot:	%{_tmppath}/qmmp-plugin-pack-%{version}-%{release}-buildroot
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  yasm
BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5gui-devel
BuildRequires:  lib64qt5network-devel
BuildRequires:  lib64qmmp-devel
BuildRequires:  lib64qt5help-devel
BuildRequires:  lib64xmp-devel
BuildRequires:  lib64taglib-devel
BuildRequires:  lib64samplerate-devel
BuildRequires:  lib64mpg123-devel
BuildRequires:  lib64ffmpeg-devel

Requires:       qmmp

%description
This package contains plugins for Qmmp.

%description -l de
Dieses Paket enthält Erweiterungen für Qmmp.

############################################

%prep
%setup -qn qmmp-plugin-pack-%version

%build
%cmake

%cmake_build

%install
%cmake_install

%clean
rm -rf %{buildroot}

%files
%{_libdir}/qmmp*/Effect/*.so
%{_libdir}/qmmp*/Engines/*.so
%{_libdir}/qmmp*/Input/*.so
%{_libdir}/qmmp*/Visual/*.so
%{_libdir}/qmmp-*/Transports/libytb.so
%{_datadir}/metainfo/qmmp-plugin-pack.appdata.xml

%changelog
* Mon Nov 01 2021 tex - 1.5.2-1pclos2021
- new version

* Sat Jul 31 2021 tex - 1.5.1-1pclos2021
- new version

* Fri May 28 2021 tex - 1.5.0-1pclos2021
- new version
